---
agentTools:
  projectIndex: https://docs.developer.yelp.com/llms.txt
---

# Create Program

Creates a new program for a Yelp business

[block:callout]
{
  "type": "info",
  "body": "This endpoint is part of the Ads API, visit [Ads API](https://docs.developer.yelp.com/docs/ads-api) to learn more."
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Advertising",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://partner-api.yelp.com/"
    }
  ],
  "components": {
    "securitySchemes": {
      "basic": {
        "type": "http",
        "scheme": "basic"
      }
    },
    "schemas": {
      "ProgramName": {
        "type": "string",
        "description": "Indicates the type of program you want to enable.\nPossible values are: `BP` Branded Profile, `EP` – Enhanced Profile, `RCA` (Remove Competitor Ads), `CTA` (Call To Action), `SLIDESHOW` (Slideshow), `BH` (Business Highlights), `VL` (Verified License), `LOGO`, `PORTFOLIO`\n",
        "enum": [
          "BP",
          "EP",
          "RCA",
          "CTA",
          "SLIDESHOW",
          "BH",
          "VL",
          "LOGO",
          "PORTFOLIO"
        ]
      },
      "StartDescription": {
        "description": "Start date for the specified program. The date format is YYYY-MM-DD format (e.g., 2016-01-01). Programs will start at 12:00am PST for a given start date. If no start date is set, then the program will start immediately.\n"
      },
      "EndDescription": {
        "description": "End date for the specified program. The date format is YYYY-MM-DD format (e.g., 2016-01-31). Programs will end at 11:59pm PST for a given end date. If no end date is set, then the program will run indefinitely until it is terminated via the Advertising API.\n"
      }
    },
    "responses": {
      "JobCreatedProgram200Response": {
        "description": "200",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "job_id": {
                  "type": "string"
                }
              },
              "required": [
                "job_id"
              ]
            },
            "examples": {
              "Result": {
                "value": {
                  "job_id": "prvtN-nilb4mUynGGgKuBQ"
                }
              }
            }
          }
        }
      },
      "Empty400Response": {
        "description": "400",
        "content": {
          "application/json": {
            "schema": {
              "type": "object"
            },
            "examples": {
              "Result": {
                "value": {}
              }
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "basic": []
    }
  ],
  "paths": {
    "/v1/reseller/program/create": {
      "post": {
        "summary": "Create Program",
        "tags": [
          "Advertising"
        ],
        "description": "Creates a new program for a Yelp business\n",
        "operationId": "create_reseller_program_v1",
        "parameters": [
          {
            "in": "query",
            "name": "Query Params",
            "description": "Create a CPC or other Yelp Program for a Yelp business",
            "required": true,
            "style": "form",
            "explode": true,
            "schema": {
              "type": "object",
              "oneOf": [
                {
                  "properties": {
                    "business_id": {
                      "type": "string",
                      "description": "Yelp Encrypted Business ID."
                    },
                    "program_name": {
                      "type": "string",
                      "description": "Must be \"CPC\" for CPC programs.",
                      "enum": [
                        "CPC"
                      ]
                    },
                    "start": {
                      "$ref": "#/components/schemas/StartDescription",
                      "type": "string"
                    },
                    "end": {
                      "$ref": "#/components/schemas/EndDescription",
                      "type": "string"
                    },
                    "budget": {
                      "type": "integer",
                      "description": "Monthly budget in cents. For a monthly budget of $50.00, please input “5000”. Value must be greater than or equal to $25 dollars."
                    },
                    "currency_code": {
                      "type": "string",
                      "description": "ISO 4217 Currency Code. Default is USD"
                    },
                    "is_autobid": {
                      "type": "boolean",
                      "description": "If field is set to true, then Yelp will autobid. Set to false if using max_bid"
                    },
                    "max_bid": {
                      "type": "integer",
                      "description": "Maximum bid value in cents. *Value must be greater than or equal to $0.50 or \"50\"*. This field is required if is_autobid is false. * If you want to bid a maximum of $25.50, please use a value of “2550” cents and not “25.50” which will result in error."
                    },
                    "pacing_method": {
                      "type": "string",
                      "description": "Possible values are: \"paced\" (default if is_autobid=true), \"unpaced\" (default if max_bid is set) - cannot be used if is_autobid=true * . \"unpaced\" will attempt to spend the budget as fast as possible.",
                      "enum": [
                        "paced",
                        "unpaced"
                      ]
                    },
                    "fee_period": {
                      "type": "string",
                      "description": "Possible values are: \"CALENDAR_MONTH\", \"ROLLING_MONTH\". The fee_period determines the time frame for the CPC Program. If CALENDAR_MONTH, then budgets will reset at the 1st of every month. If ROLLING_MONTH, then budgets will reset every 30 days. Default is CALENDAR_MONTH.",
                      "enum": [
                        "CALENDAR_MONTH",
                        "ROLLING_MONTH"
                      ]
                    },
                    "ad_categories": {
                      "type": "array",
                      "description": "You are able to choose any of the categories of the specified business and run the CPC campaign for only these categories.\n\nYou get the categories of a business using the [Get business by ID](https://docs.developer.yelp.com/reference/v3_business_info) endpoint.\nUse the `alias` of the categories (field `categories[].alias`).\n\n\nExample: If the business has the categories *hvac* and *plumbing*, you can run two different campaigns for each category with a different budget each.\n",
                      "items": {
                        "type": "string",
                        "description": "Business category alias."
                      }
                    }
                  },
                  "required": [
                    "business_id",
                    "program_name",
                    "start",
                    "end",
                    "budget"
                  ],
                  "type": "object",
                  "title": "Create CPC Program",
                  "description": "Query parameters for all program types except CPC."
                },
                {
                  "properties": {
                    "business_id": {
                      "type": "string",
                      "description": "Yelp Encrypted Business ID."
                    },
                    "program_name": {
                      "$ref": "#/components/schemas/ProgramName"
                    },
                    "start": {
                      "$ref": "#/components/schemas/StartDescription",
                      "type": "string"
                    },
                    "end": {
                      "$ref": "#/components/schemas/EndDescription",
                      "type": "string"
                    }
                  },
                  "required": [
                    "business_id",
                    "program_name",
                    "start",
                    "end"
                  ],
                  "type": "object",
                  "title": "Create Other Programs",
                  "description": "Query parameters for all program types except CPC."
                }
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/JobCreatedProgram200Response"
          },
          "400": {
            "$ref": "#/components/responses/Empty400Response"
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": false,
    "samples-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 99,
      "1": 144,
      "2": 110,
      "3": 40,
      "4": 117,
      "5": 253,
      "6": 246,
      "7": 0,
      "8": 31,
      "9": 68,
      "10": 254,
      "11": 182
    }
  }
}
```